For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
      • POSTCreate a payment request
      • GETGet payment request details
      • DELDelete a payment request.
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
EcommercePayments

Delete a payment request.

DELETE
https://api.brevo.com/v3/payments/requests/:id
DELETE
/v3/payments/requests/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.payments.deletePaymentRequest("9ae7d68a-565c-4695-9381-d8fb3e3a14cc");
8}
9main();

Delete a payment request by its UUID. Once deleted, the payment request can no longer be accessed or paid. Returns a 404 error if no payment request matches the provided ID, and a 403 error if Brevo Payments is not activated or the account is not validated.

Was this page helpful?
Previous

Get loyalty program list

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequiredformat: "uuid"
ID of the payment request.

Response

Payment request deleted successfully.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error